Subject: Re: [PATCH v3 2/2][BNX2]: Add iSCSI support to BNX2 devices.

From: Mike Christie <[email-masked]>
Date: Wed, 28 Nov 2007 14:06:28 -0600

Anil Veerabhadrappa wrote:
> 
>>>> Which ones were they exactly? I think JamesB wanted only common 
>>>> transport values in the transport class. If it is driver specific then 
>>>> it should go on the host or target or device with the scsi_host_template 
>>>> attrs.
>>>>
>>> It's a chicken & egg issue to put "port mapper" sysfs entry in scsi host
>>> attributes. Application won't see sysfs unless initiator creates an
>> Sorry for the late response. I was on vacation.
>>
>> That is only with how you coded it today. I asked you to do something 
>> like qla4xxx where the session and host are not so closely bound.
> 
> bnx2i is still using scsi host per iscsi session model, we plan to
> migrate to scsi host per device model pretty soon. Previously you
> indicated that you are working on this port, can you please share the
> code? We will build on your work and bring this to closure.

Send me a link to your code so I can rebuild my stuff against it.

> 
> 
>>> iSCSI session and driver can't create an iSCSI session without a tcp
>> That is not right with how things are today even. The iscsi_session 
>> struct can be created before the tcp connection. This was done because 
>> we thought we were going to have to use only sysfs for all setup and 
>> management (we ended up netlink and sysfs though).
> 
> You are right, software is flexible enough to allow creation of
> session/connection and endpoint independently but so far user daemon
> creates TCP endpoint before iSCSI session and bind them all together.
> Any changes to this scheme will not be compatible with existing
> distributions
> 

So what do you need to do exactly? You want userspace to be able to set 
some session or connection value, then have it used for that session, 
right? We have been using the netlink interface for that. You would 
basically pass iscsiadm some value (on cmdline or in some file/db), then 
when the session and connection is being created we will pass those 
values in. Values that are used after we are in FFP, like abort 
timeouts, are passed in the set_param command. If a value is needed for 
the session/connection setup then we were passing that in with the 
command (like create_session has the queue depth sent with it). To add 
new values (driver specific and common ones) and have the interface 
compatible with older versions should not be too difficult.

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups "open-iscsi" group.
To post to this group, send email to open-iscsi-/[email-masked]
To unsubscribe from this group, send email to open-iscsi-unsubscribe-/[email-masked]
For more options, visit this group at http://groups.google.com/group/open-iscsi
-~----------~----~----~----~------~----~------~--~---